﻿<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
  <xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C/DTD HTML 4.01 Transitional//EN"/>
    
  <xsl:template match="/">  
    <html>
      <head>
         <meta http-equiv="Content-language" content="cs" />
	 <title>První stránka vytvořená XSLT transformaci - souhrn příspěvků</title>	  
      </head>
      <body>
	 <h1>Seznam všech aktuálních příspěvků</h1>
	 <xsl:apply-templates select="/seznam-prispevku/prispevek" />	 
      </body>	
    </html>
  </xsl:template>
  
  <xsl:template match="prispevek">
	<h2>
	   <a>
		<xsl:attribute name="name">
		  <xsl:value-of select="@id" />
		</xsl:attribute>
		<xsl:value-of select="nadpis" />
	   </a>
        </h2>
	<p>
	   <xsl:value-of select="text" />		
	</p>               
	<p>	  
	   <span>
              Zapsal <xsl:value-of select="autor" />, dne <xsl:value-of select="datum-vydani" />
           </span>
	   <xsl:text> </xsl:text>
	   <a>
             <xsl:attribute name="href">
		<xsl:text>http://bar.acme.com/blogs/archive/foo.html#</xsl:text>
		<xsl:value-of select="@id" />
	     </xsl:attribute> 
	     <xsl:text>Trvalý odkaz</xsl:text>
           </a> 	
	</p> 
  </xsl:template>

 <xsl:template name="zapati">  
  <xsl:param name="next" />
  <xsl:param name="previous"/>
  <xsl:param name="home">http://acme.bar.com/</xsl:param> 
  <span>
    <xsl:text>|</xsl:text>
    <a>
	<xsl:attribute name="href"><xsl:value-of select="$next" /></xsl:attribute>
	<xsl:text>Další</xsl:text>
    </a>
    <xsl:text>|</xsl:text>
    <a>
	<xsl:attribute name="href"><xsl:value-of select="$home" /></xsl:attribute>
	<xsl:text>Domu</xsl:text>
    </a>
    <xsl:text>|</xsl:text>
    <a>
	<xsl:attribute name="href"><xsl:value-of select="$previous" /></xsl:attribute>	
	<xsl:text>Předešlý</xsl:text>
    </a>
    <xsl:text>|</xsl:text>
  </span>
</xsl:template>

  
</xsl:stylesheet>